# Uses of Class
org.eclipse.jdt.core.dom.TypeDeclaration

Packages that use TypeDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of TypeDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return TypeDeclaration
Modifier and Type
Method
Description
`TypeDeclaration`
TypeDeclarationStatement.`getTypeDeclaration()`
Deprecated.
In the JLS3 API, this method is replaced by `TypeDeclarationStatement.getDeclaration()`, which returns `AbstractTypeDeclaration` instead of `TypeDeclaration`.
`TypeDeclaration[]`
TypeDeclaration.`getTypes()`
Returns the ordered list of member type declarations of this type declaration.
`TypeDeclaration`
AST.`newTypeDeclaration()`
Creates an unparented class declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type TypeDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(TypeDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(TypeDeclaration node, Object other)`
Returns whether the given node and the other object match.
`TypeDeclarationStatement`
AST.`newTypeDeclarationStatement(TypeDeclaration decl)`
Creates a new unparented local type declaration statement node owned by this AST, for the given type declaration.
`void`
TypeDeclarationStatement.`setTypeDeclaration(TypeDeclaration decl)`
Deprecated.
In the JLS3 API, this method is replaced by `TypeDeclarationStatement.setDeclaration(AbstractTypeDeclaration)` which takes `AbstractTypeDeclaration` instead of `TypeDeclaration`.
`boolean`
ASTVisitor.`visit(TypeDeclaration node)`
Visits the given type-specific AST node.

## Uses of TypeDeclaration in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type TypeDeclaration
Modifier and Type
Method
Description
`boolean`
ImportReferencesCollector.`visit(TypeDeclaration node)`